> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visitorquery.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET current plan details

> Get the current plan details for the user authenticated via the api key



## OpenAPI

````yaml https://visitorquery.com/api/schema get /plan
openapi: 3.0.2
info:
  title: VisitorQuery API
  version: 1.0.0
servers:
  - url: https://visitorquery.com/api/v1
security: []
tags:
  - name: Projects
    description: Projects
  - name: Checks
    description: Retrieve check results
  - name: Plans
    description: Current plan details
paths:
  /plan:
    get:
      tags:
        - Plans
      summary: GET current plan details
      description: Get the current plan details for the user authenticated via the api key
      operationId: getPlan
      parameters: []
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                      maxRps:
                        type: number
                        minimum: 0
                        maximum: 1000
                      maxProjects:
                        type: number
                        minimum: 0
                        maximum: 1000
                      maxRequests:
                        type: number
                        minimum: 0
                        maximum: 200000000
                      expiresAt:
                        type: string
                        format: date-time
                      subscribedAt:
                        type: string
                        format: date-time
                      unsubscribedAt:
                        type: string
                        format: date-time
                        nullable: true
                      status:
                        type: string
                        enum:
                          - trialing
                          - active
                          - canceled
                          - past_due
                          - paused
                    required:
                      - id
                      - name
                      - description
                      - maxRps
                      - maxProjects
                      - maxRequests
                      - expiresAt
                      - subscribedAt
                      - status
                    nullable: true
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: The developer API key from your account

````